This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 902006 - (pylibpcap) Review Request: pylibpcap - A Python module for libpcap
Review Request: pylibpcap - A Python module for libpcap
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Gruber
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2013-01-20 07:39 EST by Fabian Affolter
Modified: 2013-11-23 22:39 EST (History)
3 users (show)

See Also:
Fixed In Version: pylibpcap-0.6.4-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:38:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mjg: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2013-01-20 07:39:07 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pylibpcap.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pylibpcap-0.6.4-1.fc17.src.rpm

Project URL: http://pylibpcap.sourceforge.net/

Description:
Python module for the libpcap packet capture library, based on the original
python libpcap module by Aaron Rhodes.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4886993

rpmlint output:
[fab@laptop11 SRPMS]$ rpmlint pylibpcap-0.6.4-1.fc17.src.rpm 
pylibpcap.src: W: spelling-error Summary(en_US) libpcap -> slipcase
pylibpcap.src: W: spelling-error %description -l en_US libpcap -> slipcase
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[fab@laptop11 x86_64]$ rpmlint pylibpcap*
pylibpcap.x86_64: W: spelling-error Summary(en_US) libpcap -> slipcase
pylibpcap.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab
Comment 1 Michael J Gruber 2013-01-21 11:45:03 EST
Taking this.

A few things I've spotted before the full formal review:

pylibpcap.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/_pcapmodule.so 0775L

This should not be group-writable.

%files
%doc ChangeLog COPYING README
%{python_sitearch}/
%{python_sitearch}/%{name}*.egg-info

The second to last line makes your package own all of sitearch. If you use

%{python_sitearch}/*

instead of both lines you own only what you install there, which is how it should be.
Comment 2 Fabian Affolter 2013-01-22 17:02:05 EST
Thanks

(In reply to comment #1)
> pylibpcap.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/_pcapmodule.so 0775L

fixed

> %files
> %doc ChangeLog COPYING README
> %{python_sitearch}/
> %{python_sitearch}/%{name}*.egg-info
> 
> The second to last line makes your package own all of sitearch. If you use
> 
> %{python_sitearch}/*
> 
> instead of both lines you own only what you install there, which is how it
> should be.

fixed

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pylibpcap.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pylibpcap-0.6.4-2.fc17.src.rpm
Comment 3 Michael J Gruber 2013-01-26 13:07:28 EST
(In reply to comment #2)
> Thanks
> 
> (In reply to comment #1)
> > pylibpcap.x86_64: E: non-standard-executable-perm
> > /usr/lib64/python2.7/site-packages/_pcapmodule.so 0775L
> 
> fixed

Well, rather: changed ;)

Now there are unstripped symbols because the .so
 is not executable. It has to be 755, as I tried to indicate.

That's probably also the reason why the debug package is empty now.

> > %files
> > %doc ChangeLog COPYING README
> > %{python_sitearch}/
> > %{python_sitearch}/%{name}*.egg-info
> > 
> > The second to last line makes your package own all of sitearch. If you use
> > 
> > %{python_sitearch}/*
> > 
> > instead of both lines you own only what you install there, which is how it
> > should be.
> 
> fixed
> 
> Updated files:
> Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pylibpcap.spec
> SRPM URL:
> http://fab.fedorapeople.org/packages/SRPMS/pylibpcap-0.6.4-2.fc17.src.rpm

Rest seems OK.

Please use rpmlint -i -v on all produced rpms in order to catch errors before I do ;)
Comment 4 Michael J Gruber 2013-03-08 05:37:47 EST
Fabian, have you lost interest in this package? You only need to fix the permission as indicated.
Comment 5 Fabian Affolter 2013-08-15 03:41:16 EDT
(In reply to Michael J Gruber from comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > pylibpcap.x86_64: E: non-standard-executable-perm
> > > /usr/lib64/python2.7/site-packages/_pcapmodule.so 0775L
> > 
> > fixed
> 
> Well, rather: changed ;)
> 
> Now there are unstripped symbols because the .so
>  is not executable. It has to be 755, as I tried to indicate.

Thanks for your patience.

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pylibpcap.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pylibpcap-0.6.4-3.fc19.src.rpm

rpmlint output:
$ rpmlint pylibpcap-0.6.4-3.fc19.src.rpm 
pylibpcap.src: W: spelling-error Summary(en_US) libpcap -> slipcase
pylibpcap.src: W: spelling-error %description -l en_US libpcap -> slipcase
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint pylibpcap*
pylibpcap.x86_64: W: spelling-error Summary(en_US) libpcap -> slipcase
pylibpcap.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
2 packages and 0 specfiles checked; 0 errors, 2 warnings
Comment 6 Michael J Gruber 2013-11-08 09:48:44 EST
Sorry this took so long, everything good now.

Remark: I cross-checked the package name - we have preexisting cases for both python-libfoo and pylibfoo.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[+]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pylibpcap-0.6.4-3.fc20.x86_64.rpm
          pylibpcap-0.6.4-3.fc20.src.rpm
pylibpcap.x86_64: W: spelling-error Summary(en_US) libpcap -> slipcase
pylibpcap.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
pylibpcap.src: W: spelling-error Summary(en_US) libpcap -> slipcase
pylibpcap.src: W: spelling-error %description -l en_US libpcap -> slipcase
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint pylibpcap
pylibpcap.x86_64: W: spelling-error Summary(en_US) libpcap -> slipcase
pylibpcap.x86_64: W: spelling-error %description -l en_US libpcap -> slipcase
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
pylibpcap (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpcap.so.1()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
pylibpcap:
    pylibpcap
    pylibpcap(x86-64)



Unversioned so-files
--------------------
pylibpcap: /usr/lib64/python2.7/site-packages/_pcapmodule.so

Source checksums
----------------
http://downloads.sourceforge.net/pylibpcap/pylibpcap-0.6.4.tar.gz :
  CHECKSUM(SHA256) this package     : cfc365f2707a7986496acacf71789fef932a5ddbeaa36274cc8f9834831ca3b1
  CHECKSUM(SHA256) upstream package : cfc365f2707a7986496acacf71789fef932a5ddbeaa36274cc8f9834831ca3b1


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 902006 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Package APPROVED
Comment 7 Fabian Affolter 2013-11-08 11:47:28 EST
Thanks for the review, Michael.
Comment 8 Fabian Affolter 2013-11-08 11:49:51 EST
New Package SCM Request
=======================
Package Name: pylibpcap
Short Description: A Python module for libpcap
Owners: fab
Branches: f19 f20
InitialCC:
Comment 9 Jon Ciesla 2013-11-08 12:04:33 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-11-09 11:04:57 EST
pylibpcap-0.6.4-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pylibpcap-0.6.4-3.fc19
Comment 11 Fedora Update System 2013-11-09 11:05:09 EST
pylibpcap-0.6.4-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pylibpcap-0.6.4-3.fc20
Comment 12 Fedora Update System 2013-11-09 16:41:26 EST
pylibpcap-0.6.4-3.fc20 has been pushed to the Fedora 20 testing repository.
Comment 13 Fedora Update System 2013-11-23 14:38:49 EST
pylibpcap-0.6.4-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2013-11-23 22:39:14 EST
pylibpcap-0.6.4-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.